Bug 51483 - update stylesheet
update stylesheet
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: docbook-utils (Show other bugs)
7.3
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-10 16:49 EDT by Peter Bowen
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-22 11:29:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bowen 2001-08-10 16:49:24 EDT
the stylesheet /usr/share/sgml/docbook/utils-0.6.9/docbook-utils.dsl should
be updated to 1.0-5.  This is available from Dave Mason or GNOME CVS.  It
has a couple of minor fixes over 1.0-4.
Comment 1 David Mason 2001-08-10 18:24:20 EDT
Uh - my copy is 1.0-4 - did I send you a fix to a particular problem that I
might have forgotten here? - Dave Mason
Comment 2 Peter Bowen 2001-08-10 19:28:43 EDT
dcm: If you didn't make the commit, then I think someone must have hacked your
gnome.org CVS account :)

see http://cvs.gnome.org/bonsai/cvsblame.cgi?file=gnome-docu/gdp/dsssl/gdp-both.dsl
Comment 3 David Mason 2001-08-13 09:54:31 EDT
whoa - how odd... at any rate, looking at check-in 1.16 there does not seem to
be any 'bug fixes'. All I did was clean out some things like Red Hat manual size
page widths which were only used here. What is it that you want from this one in
the distribution style sheet?
Comment 4 Peter Bowen 2001-08-13 10:43:46 EDT
Looking at 

http://cvs.gnome.org/bonsai/cvsview2.cgi?subdir=gnome-docu/gdp/dsssl&command=DIFF_FRAMESET&file=gdp-both.dsl&rev2=1.16&rev1=1.15

I would like to see the changes at line 98 to only show the top level of
appendicies, and the changes at line 487 for the HTML DOCTYPE.  I would also
like it if the smaller paper size could remain, as 7"x9" (or 8.5") is fairly
standard size for printed manuals.
Comment 5 David Mason 2001-08-13 10:53:08 EDT
That is already in there - look at
/usr/share/sgml/docbook/utils-0.6/docbook-utils.dsl line 103: 

I thought about the doctype but many people have told me they are not using 4.01
yet so the default of 4.0 seemed fine (Norman will update it in the Mod sheets
when he thinks it necessary)

The paper size thing - Tim we could add this back(?) I can't imaging it is a
common size at all - and usually if you want something that small you need to
define the size yourself. Tim - its your call, we are supposed to be frozen and
these are not bug fixes but features. I would vote no for that reason, but it
can't break anything to add the paper size back.
Comment 6 Peter Bowen 2001-08-13 11:01:11 EDT
Dave, you are correct.  These are not important bug fixes, and it is far too
late to make these minor changes.  I don't think any of these are RC blockers,
and this is a pure enchancement request.
Comment 7 David Mason 2001-08-13 11:09:37 EDT
OK - we can revisit these on the next go-round. Thanks! Tim - I am closing.
Comment 8 Tim Waugh 2002-02-22 08:09:48 EST
dcm: Is there a newer default stylesheet we should be using?
Comment 9 David Mason 2002-02-22 11:29:48 EST
no - sorry I have had no time to think DSSSL and I haven't seen anyone change it
in the community.

Note You need to log in before you can comment on or make changes to this bug.